# Contributing

'flutter_map' is only as great as it is because of generous open-source contributors!

We're always happy to receive improvements and fixes, so please submit them whenever you can! A few key points are listed below.

> Many feature additions are more suitable for plugins, instead of being added to the core. This is aimed to reduce the future maintenance burden/cost on the maintainers.  
If we deny your PR for this reason, please do consider publishing a plugin, and we'll be happy to add it to the [Plugins List](https://docs.fleaflet.dev/plugins/list)! See [Making A Plugin](https://docs.fleaflet.dev/plugins/making-a-plugin) for more information.

* If your PR will add a major or breaking change, please discuss it with us first, via the Issue Tracker
* Always link your PR to at least one issue, and as many as are resolved
* Create a draft PR as soon as work starts, and take it out of draft status when ready for review
* Avoid changing the package version or GitHub workflows
* Fix issues reported by the GitHub workflows (such as formatting) yourself
